Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.policy.entry
Class PermissionEntry

    java.lang.Object
      org.eclipse.jetty.policy.entry.AbstractEntry
          org.eclipse.jetty.policy.entry.PermissionEntry

    public class PermissionEntry

extends AbstractEntry

Constructor Summary
`PermissionEntry()`

Method Summary
`void` | `expand(PolicyContext context)`
`java.lang.String` | `getActions()`
`java.lang.String` | `getKlass()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSigners()`
`void` | `setActions(java.lang.String actions)`
`void` | `setKlass(java.lang.String klass)`
`void` | `setName(java.lang.String name)`
`void` | `setSigners(java.lang.String signers)`
`java.security.Permission` | `toPermission()`

Methods inherited from class org.eclipse.jetty.policy.entry.AbstractEntry
`isDirty, isExpanded, setDirty, setExpanded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PermissionEntry

    public PermissionEntry()

Method Detail

### toPermission

    public java.security.Permission toPermission()
                                          throws PolicyException

  Throws:
    `PolicyException`

### expand

    public void expand(PolicyContext context)
                throws PolicyException

  Specified by:
    `expand` in class `AbstractEntry`
  Throws:
    `PolicyException`

### getKlass

    public java.lang.String getKlass()

### setKlass

    public void setKlass(java.lang.String klass)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getActions

    public java.lang.String getActions()

### setActions

    public void setActions(java.lang.String actions)

### getSigners

    public java.lang.String getSigners()

### setSigners

    public void setSigners(java.lang.String signers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.